<div data-controller="document"
     data-document-id-value="<%= @document.id %>"
     class="flex justify-start p-4 pb-0 min-h-full overflow-y-scroll relative">
  <div class="shrink-0 w-56 ml-4 divide-y sticky top-0">
    <button class="text-gray-500 py-4">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-6 h-6">
        <path stroke-linecap="round" stroke-linejoin="round" d="M10.5 19.5L3 12m0 0l7.5-7.5M3 12h18"/>
      </svg>
    </button>
    <div class="py-4">
      <div class="text-gray-600 text-xs font-medium tracking-wide uppercase">Outline</div>
      <%= turbo_frame_tag dom_id(@document), src: document_outline_path(@document) %>
    </div>
  </div>
  <div class="shrink-0 w-[728px] p-24 pb-0 shadow-lg bg-white min-h-full h-max relative">
    <button data-document-target="rowMarker"
            type="button"
            class="absolute -right-4 top-2 w-8 h-8 rounded-full shadow flex justify-center inline-flex items-center rounded-full border border-transparent p-1 text-slate-400 hover:text-white bg-slate-50 hover:bg-purple-700 focus:outline-none">
      <svg class="h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
        <path d="M10.75 4.75a.75.75 0 00-1.5 0v4.5h-4.5a.75.75 0 000 1.5h4.5v4.5a.75.75 0 001.5 0v-4.5h4.5a.75.75 0 000-1.5h-4.5v-4.5z"/>
      </svg>
    </button>
    <div data-document-target="canvas" class="flex-none w-full"></div>
  </div>
</div>
